Overview
MediaMelon SmartSight provides a REST API for programmatic access to video and ad analytics.
Use these APIs to build dashboards, integrate with your data pipelines, generate reports, and investigate QoE issues.
What the API Does
The SmartSight API lets you query aggregated set of metrics across any combination of dimensions, time ranges with multiple dimension filters and metric-level conditions — returning exactly the data you need in a single call.
Metric queries
Retrieve any video session or ad related metric, such as startup time, buffering ratio, ad impressions, and many others aggregated by time, dimension, or both
Dimension breakdowns
Break down any metric by combination of dimension including country, device, CDN, player, content, subscriber, and more.
Time-series trends
Get bucketed time-series data at minute, hour, or day granularity
Session-level data
Retrieve metrics and dimension values set on individual sessions along with the complete list of player sent events and errors for root-cause investigation.
Filtered queries
Scope any query to a subset of video sessions using dimension filters or metric-level conditions
Getting Started
Step 1 — Get your Customer ID
Login to the MediaMelon SmartSight dashboard and navigate to User Icon > Settings > Environments > Env Details. Find the customer ID for the environment you want to make API requests.

Step 2 — Obtain your API Key
Contact MediaMelon support or your account team to obtain your API key.
Step 3 — Choose an Endpoint
Use the metric query endpoint for aggregated analytics.
Use the session list endpoint for per-session video investigation.
Step 4 — Build Your Query
Every query must include period and metrics.
Add aggby, filter, qoefilter, orderby, and limit as needed.
Step 5 — Make the Request
Base API Hostname - https://smartsight.mediamelon.com
Authentication - Add your API key to each request for authentication.
Use curl or similar tools to make the API request with the X-API-Key header. Below is an example of the API request to get Startup Time and Started Views count metrics over time to show these metrics in a time-series graph.
API Endpoints at a Glance
As of July 2025, /mm-apis/qbrData/vod and /mm-apis/session are deprecated. Use /mm-apis/metricquery instead. Backward compatibility remains available, but /mm-apis/metricquery provides access to newer features.
GET
/mm-apis/metricquery/{customerId}
Video Sessions + Ad
Aggregated metrics for video sessions and ads for trend graphs, tables, KPI tiles, and comparisons.
Common Query Parameters
period
Yes
start=<epoch_seconds>,end=<epoch_seconds>
metrics
Yes
Comma-separated metric field names
aggby
No
Breakdown by a combination of dimension or timestamp for time-series
filter
No
Dimension filters, such as [country=US|Canada][platform=Android]
qoefilter
No
Metric-level conditions to filter, such as latency>3 AND bufferingratio>5
orderby
No
Sort by metric or dimension name
order
No
Sorting order - asc or desc
limit
No
Number of records to include in the response, aka Page size. Default is 1000
offset
No
Record offset to include from in the response. Default is 0
Response Structure
totalcount
Number of records in the current response
pagecount
Total number of pages in the full result set
totalrecords
Total matching records across all pages
response
Array of result objects that includes values for metrics and dimensions requested. Use the Metric and Dimensions Dictionary for the list video and ad related metrics, dimensions, and aggregate variants available such as p95_latency.
Timestamps
Use Unix epoch seconds in UTC for all request time ranges and response timestamps.
Last updated